Skip to main content
GET
cURL

Authorizations

X-API-Key
string
header
required

API key

Query Parameters

cursor
string

The pagination cursor value.

ownership
enum<string>

The ownership used to filter results.

  • private - Only private tools
  • public - Only public tools
Available options:
private,
public
Minimum string length: 1
pageSize
integer

Number of results to return per page.

The search string used to filter results.

Minimum string length: 1
sortOrder
enum<string>
default:default

How results should be ordered. If a cursor is provided, this parameter must match the sortOrder used in the previous request for results to be sensible.

  • display - Display order. Public tools by name first, then private tools with most recent first.
  • alphabetic - Name ascending
  • reverseAlphabetic - Name descending
  • chronologic - Creation order with oldest first.
  • reverseChronologic - Creation order with newest first.
  • default - Default ordering. Same as reverseChronologic but with private tools first.
Available options:
display,
alphabetic,
reverseAlphabetic,
chronologic,
reverseChronologic,
default
Minimum string length: 1

Response

200 - application/json
results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cD00ODY%3D\""

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"

total
integer
Example:

123